Bug 2413 - net rpc info fails against win2000 and win2003 domains
net rpc info fails against win2000 and win2003 domains
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: net utility
3.0.9
x86 Linux
: P3 normal
: none
Assigned To: Jim McDonough
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-02 18:16 UTC by Herb Lewis
Modified: 2006-04-09 12:02 UTC (History)
0 users

See Also:


Attachments
ethereal capture of net rpc info command (8.19 KB, application/octet-stream)
2005-03-02 18:19 UTC, Herb Lewis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Herb Lewis 2005-03-02 18:16:17 UTC
net rpc info gets STATUS_ACCESS_DENIED during the SamrConnect2 request.
access mask is set to MAXIMUM_ALLLOWED
Comment 1 Herb Lewis 2005-03-02 18:19:52 UTC
Created attachment 1005 [details]
ethereal capture of net rpc info command
Comment 2 Marc Kaplan 2005-03-03 09:42:23 UTC
I believe that this properly returns ACCESS_DENIED for native mode domains. If
you have a mixed mode 2k3/2k3 domain it will return successfully, but I think
native mode domains don't allow this call. In fact, I have scripts that check
for native mode vs. mixed mode, and it does a if ! net rpc info to see if the
domain is native. 

If this is a bug in net, I'd like to know, and change my scripts accordingly.
Comment 3 Gerald (Jerry) Carter 2005-03-14 08:52:15 UTC
more than likely, this is due to the anonymous connection
used by 'net rpc info'.  This could probably be fixed fairly 
easily.
Comment 4 Volker Lendecke 2006-04-09 12:02:13 UTC
Fixed with r15011.

Volker